Subject: Re: linux-next: Tree for July 29

From: Andrew Morton <[email-masked]>
Date: Wed, 30 Jul 2008 13:04:19 -0700

On Wed, 30 Jul 2008 21:27:41 +0200
Bartlomiej Zolnierkiewicz <[email-masked]> wrote:

> On Wednesday 30 July 2008, Andrew Morton wrote:
> > On Wed, 30 Jul 2008 09:06:50 +0200 Bernhard Walle <[email-masked]> wrote:
> > 
> > > * Greg KH <[email-masked]> [2008-07-29 21:48]:
> > > > > Isn't this the opposite end of the same problem for which Bernhard
> > > > > has been repeatedly trying to find a taker for his patch:
> > > > > 
> > > > > http://article.gmane.org/gmane.linux.kernel.kexec/1882
> > > > 
> > > > Yes.  It's not the kobject patch at fault here, it's the use of kobjects
> > > > so early in the boot process.  That needs to be fixed.
> > 
> > It was a bit optimistic to stick an unconditional GFP_KERNEL allocation
> > into the previously-atomic kobject_init().
> > 
> > It's only 128 bytes, so why can't we fix both problems thusly?
> 
> Fixes the bug for me (also true for previous patch from Bernhard).
> 

Cool.

The offending patch has just got itself turfed from linux-next so my
fix now has nothing to fix.

We'll see what happens!